searchNodes=[{"doc":"Provides Live SimplePagination for a given query. This is module is paired with helper components used to help organize and present large sets of data in a user-friendly way. It provides a mechanism for dividing data into smaller, more manageable chunks or pages, and allows users to navigate through these pages using a set of controls such as &quot;next page,&quot; &quot;previous page,&quot; and page numbers. In addition to pagination, this module offers features such as sorting, filtering, and search capabilities, allowing users to further refine and customize the data they see. Let's see a sample index.html.heex : &lt; . search_filter_tag paginator = { @things } label = &quot;Find&quot; / &gt; &lt; . page_tag paginator = { @things } delta = { 1 } / &gt; &lt; table &gt; &lt; thead &gt; &lt; tr &gt; &lt; td style = &quot;width:15%&quot; &gt; &lt; . order_tag label = &quot;id&quot; order_by = { :id } paginator = { @things } / &gt; &lt; / td &gt; &lt; td style = &quot;width:85%&quot; &gt; &lt; . order_tag label = &quot;title&quot; order_by = { :title } paginator = { @things } / &gt; &lt; / td &gt; &lt; / tr &gt; &lt; / thead &gt; &lt; % = for t &lt;- @things . data do % &gt; &lt; tr &gt; &lt; td &gt; &lt; % = t . id % &gt; &lt; / td &gt; &lt; td &gt; &lt; % = t . title % &gt; &lt; / td &gt; &lt; / tr &gt; &lt; % end % &gt; &lt; / table &gt; Here @things is a PaginatorState including pagination parameters and resulting dataset. Not that you can place filters_tag , page_tag and order_tag pretty much anywhere. All changes are handled via event. The paginate event must be handled in index.ex def mount ( params , _session , socket ) , do : { :ok , assign ( socket , things : Things . paginate ( params ) ) } def handle_event ( &quot;paginate&quot; = event , params , socket ) , do : { :noreply , assign ( socket , things : Things . paginate ( socket . assigns . things , params ) ) } The Things context is the place where the initial query is fed to the paginator:any() def paginate ( attrs , % PaginatorState { } = pg \\ % PaginatorState { filters : [ title : &quot;&quot; ] , per_page_items : [ 5 , 25 , 0 ] , order_by : { :asc , :title } } ) do list_things_query ( ) |&gt; maybe_apply_advanced_filtering ( attrs ) |&gt; SimplePagination.Paginator . paginate ( SimplePagination.Paginator . change ( pg , attrs ) ) end Check SimplePagination.PaginatorState struct for more details about pagination parameters. If complex filtering is required, create and add maybe_apply_advanced_filtering/2 and refine the query as needed.","ref":"Paginator.html","title":"Paginator","type":"module"},{"doc":"","ref":"Paginator.html#change/2","title":"Paginator.change/2","type":"function"},{"doc":"","ref":"Paginator.html#maybe_apply_filters/2","title":"Paginator.maybe_apply_filters/2","type":"function"},{"doc":"","ref":"Paginator.html#maybe_apply_order/2","title":"Paginator.maybe_apply_order/2","type":"function"},{"doc":"","ref":"Paginator.html#maybe_paginate/3","title":"Paginator.maybe_paginate/3","type":"function"},{"doc":"this function paginates + filters the given query and returns an updated paginator repo is your App.Repo","ref":"Paginator.html#paginate/3","title":"Paginator.paginate/3","type":"function"},{"doc":"contains helper functions to create order_by buttons page links filters","ref":"SimplePagination.PaginationHelper.html","title":"SimplePagination.PaginationHelper","type":"module"},{"doc":"provides a link to order following a given field &lt;.order_tag label=&quot;id&quot; order_by={:id} paginator={@things} /&gt;","ref":"SimplePagination.PaginationHelper.html#order_tag/1","title":"SimplePagination.PaginationHelper.order_tag/1","type":"function"},{"doc":"","ref":"SimplePagination.PaginationHelper.html#page_indicators/3","title":"SimplePagination.PaginationHelper.page_indicators/3","type":"function"},{"doc":"provides links for pages 1...N and a select box for number of items per page","ref":"SimplePagination.PaginationHelper.html#page_tag/1","title":"SimplePagination.PaginationHelper.page_tag/1","type":"function"},{"doc":"","ref":"SimplePagination.PaginationHelper.html#search_filter_tag/1","title":"SimplePagination.PaginationHelper.search_filter_tag/1","type":"function"},{"doc":"","ref":"SimplePagination.PaginatorState.html","title":"SimplePagination.PaginatorState","type":"module"},{"doc":"","ref":"SimplePagination.PaginatorState.html#t:t/0","title":"SimplePagination.PaginatorState.t/0","type":"type"}]